
import unit4.ioLib.IO;


public class TestVector 
{
	public static void main(String[] args)
	{
		Vector<Integer> v1 = new Vector<Integer>();
		
		for(int i=1; i<=10; i++) 
			v1.add((int)(Math.random()*50));
		
		Vector<Integer> v4 = getSmalls2(v1,4);
		IO.println("v1: " + v1);
		IO.println("v4: " + v4);
		
		IO.println(v1);
		v1.del(1);
		v1.del(5);
		v1.del(v1.length());
		IO.println(v1);
		
		for(int i=1; i<=v1.length(); i++) 
			v1.set(i,i);
		
		for(int i=1; i<=v1.length(); i++) 
			IO.print(v1.get(i)+",");
		IO.println();
		
		Vector<Integer> v2 = new Vector<Integer>();
		v2.add(-10);
		v2.add(1);
		v2.add(2);
		v2.add(100);
		
		Vector<Integer> v3 = mulVec(v1, v2);
		IO.println("v1: " + v1);
		IO.println("v2: " + v2);
		IO.println("v3: " + v3);
	}
	
	public static Vector<Integer> mulVec(Vector<Integer> v1, Vector<Integer> v2) 
	{
		int sum = 0;
		Vector<Integer> v3 = new Vector<Integer>();
		
		for(int i=1; i<=v2.length(); i++) 
			sum = sum + v2.get(i);
		
		for(int i=1; i<=v1.length(); i++) 
			v3.add(v1.get(i) * sum);
		
		return(v3);
	}
	
	public static Vector<Integer> getSmalls(Vector<Integer> vec, int k) 
	{
		//  
		Vector<Integer> tmpVec = new Vector<Integer>();
		for(int i=1; i<=vec.length(); i++)
			tmpVec.add(vec.get(i));
		
		for(int i=1; i<=k; i++)
		{
			int minPlace = i;
			for(int j=i; j<=tmpVec.length(); j++)
			{
				if(tmpVec.get(j)<tmpVec.get(minPlace))
					minPlace = j;
			}
			int min = tmpVec.get(minPlace);
			tmpVec.set(minPlace,tmpVec.get(i));
			tmpVec.set(i,min);
		}
		
		Vector<Integer> resVec = new Vector<Integer>();
		for(int i=1; i<=k; i++)
			resVec.add(tmpVec.get(i));
		
		return(resVec);
	}
	
	public static Vector<Integer> getSmalls2(Vector<Integer> vec, int k) 
	{
		int[] a = new int[vec.length()];
		
		for(int i=0; i<vec.length(); i++)
			a[i] = vec.get(i+1);
		
		for(int i=0; i<k; i++)
		{
			int minPlace = i;
			for(int j=i; j<a.length; j++)
			{
				if(a[j]<a[minPlace])
					minPlace = j;
			}
			int min = a[minPlace];
			a[minPlace] = a[i]; 
			a[i] = min;
		}
		
		Vector<Integer> resVec = new Vector<Integer>();
		for(int i=0; i<k; i++)
			resVec.add(a[i]);
		
		return(resVec);
	}
}
